--[[

ARL-Cook.lua

Cooking data for all of AckisRecipeList

$Date: 2008-05-18 15:56:45 -0400 (Sun, 18 May 2008) $
$Rev: 74325 $

]]--

local L			= LibStub("AceLocale-3.0"):GetLocale("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()
local BZONE		= LibStub("LibBabble-Zone-3.0"):GetLookupTable()

local addon = AckisRecipeList

function addon:InitCooking()

	-- Trainer Recipes
	self:addTradeSkillSpell(2538, 1, L["Trainer"])
	self:addTradeSkillSpell(8604, 1, L["Trainer"])
	self:addTradeSkillSpell(2540, 1, L["Trainer"])
	self:addTradeSkillSpell(37836, 1, L["Trainer"])
	self:addTradeSkillSpell(2539, 10, L["Trainer"])
	self:addTradeSkillSpell(6499, 50, L["Trainer"])
	self:addTradeSkillSpell(2541, 50, L["Trainer"])
	self:addTradeSkillSpell(2544, 75, L["Trainer"])
	self:addTradeSkillSpell(2546, 80, L["Trainer"])
	self:addTradeSkillSpell(6500, 125, L["Trainer"])
	self:addTradeSkillSpell(21175, 200, L["Trainer"])

	-- Vendor Recipes
	self:addTradeSkillSpell(7751, 1, addon:CombineVendors(285, 214, 215, 216, 217, 218, 219, 220, 4, false))
	self:addTradeSkillSpell(15935, 1, addon:CombineVendors(221, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(33276, 1, addon:CombineVendors(222, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(7752, 1, addon:CombineVendors(223, 218, 224, 225, 226, false))
	self:addTradeSkillSpell(6413, 20, addon:CombineVendors(227, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(6414, 35, addon:CombineVendors(228, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(8607, 40, addon:CombineVendors(6, 229, false))
	self:addTradeSkillSpell(6415, 50, addon:CombineVendors(230, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(7753, 50, addon:CombineVendors(215, 216, 231, 217, 232, 219, 225, 4, false))
	self:addTradeSkillSpell(7754, 50, addon:CombineVendors(216, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(7827, 50, addon:CombineVendors(285, 233, 231, 234, 223, 224, 235, 236, 237, 226, false))
	self:addTradeSkillSpell(33278, 50, addon:CombineVendors(238, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(25704, 80, addon:CombineVendors(239, 240, 241, 242, 243, 244, 245, 246, 238, 29, 232, 219, 247, 248, 249, 235, 250, 251, 252, false))
	self:addTradeSkillSpell(2545, 85, addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(6501, 90, addon:CombineVendors(233, 223, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(6418, 100, addon:CombineVendors(254, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(7755, 100, addon:CombineVendors(285, 240, 234, 257, 232, 235, 220, false))
	self:addTradeSkillSpell(6419, 110, addon:CombineVendors(258, 259, false))
	self:addTradeSkillSpell(2548, 110, addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(15853, 125, addon:CombineVendors(260, false))
	self:addTradeSkillSpell(24418, 150, addon:CombineVendors(261, false), {BFAC["Horde"]})
	self:addTradeSkillSpell(7213, 175, addon:CombineVendors(246, false))
	self:addTradeSkillSpell(7828, 175, addon:CombineVendors(233, 246, 257, 217, 236, 237, 225, 262, 251, false))
	self:addTradeSkillSpell(15855, 175, addon:CombineVendors(263, 111, 116, 113, 205, 261, 259, false))
	self:addTradeSkillSpell(15856, 175, addon:CombineVendors(264, 260, 265, false))
	self:addTradeSkillSpell(15861, 175, addon:CombineVendors(263, 260, 205, false))
	self:addTradeSkillSpell(15863, 175, addon:CombineVendors(197, 24, 261, 259, false))
	self:addTradeSkillSpell(15865, 175, addon:CombineVendors(116, 266, 260, false))
	self:addTradeSkillSpell(20916, 175, addon:CombineVendors(233, 246, 257, 217, 236, 237, 225, 262, 251, false))
	self:addTradeSkillSpell(25954, 175, addon:CombineVendors(239, 240, 241, 242, 243, 244, 245, 246, 238, 29, 232, 219, 247, 248, 249, 235, 250, 251, 252, false))
	self:addTradeSkillSpell(15906, 200, addon:CombineVendors(116, 261, 260, false))
	self:addTradeSkillSpell(15910, 200, addon:CombineVendors(266, 24, 259, false))
	self:addTradeSkillSpell(15915, 225, addon:CombineVendors(197, 223, 267, false))
	self:addTradeSkillSpell(15933, 225, addon:CombineVendors(169, 268, 170, false))
	self:addTradeSkillSpell(18239, 225, addon:CombineVendors(246, false))
	self:addTradeSkillSpell(18238, 225, addon:CombineVendors(269, false))
	self:addTradeSkillSpell(18241, 225, addon:CombineVendors(246, false))
	self:addTradeSkillSpell(20626, 225, addon:CombineVendors(213, false))
	self:addTradeSkillSpell(22480, 225, addon:CombineVendors(270, 271, 272, false))
	self:addTradeSkillSpell(18240, 240, addon:CombineVendors(269, false))
	self:addTradeSkillSpell(18242, 240, addon:CombineVendors(246, false))
	self:addTradeSkillSpell(18243, 250, addon:CombineVendors(269, false))
	self:addTradeSkillSpell(18244, 250, addon:CombineVendors(269, false))
	self:addTradeSkillSpell(46684, 250, addon:CombineVendors(169, 170, false))
	self:addTradeSkillSpell(46688, 250, addon:CombineVendors(169, 170, false))
	self:addTradeSkillSpell(18245, 275, addon:CombineVendors(264, 265, false))
	self:addTradeSkillSpell(18246, 275, addon:CombineVendors(264, 265, false))
	self:addTradeSkillSpell(18247, 275, addon:CombineVendors(264, 265, false))
	self:addTradeSkillSpell(33284, 300, addon:CombineVendors(273, 274, false))
	self:addTradeSkillSpell(33290, 300, addon:CombineVendors(275, 276, false))
	self:addTradeSkillSpell(33291, 300, addon:CombineVendors(275, 64, false))
	self:addTradeSkillSpell(33292, 310, addon:CombineVendors(277, false))
	self:addTradeSkillSpell(33286, 310, addon:CombineVendors(278, 279, false))
	self:addTradeSkillSpell(33293, 320, addon:CombineVendors(255, 256, false))
	self:addTradeSkillSpell(33294, 320, addon:CombineVendors(255, 256, false))
	self:addTradeSkillSpell(33287, 325, addon:CombineVendors(255, 256, false))
	self:addTradeSkillSpell(33288, 325, addon:CombineVendors(278, 279, false))
	self:addTradeSkillSpell(33289, 325, addon:CombineVendors(255, 256, false))
	self:addTradeSkillSpell(33295, 325, addon:CombineVendors(198, 200, false))
	self:addTradeSkillSpell(33296, 350, addon:CombineVendors(198, 200, false))

	-- World Drops

	-- Specific Drops
	self:addTradeSkillSpell(33277, 1, addon:CombineQuests(L["Roasted Moongraze Tenderloin Obt"],BFAC["Alliance"],BZONE["Azuremyst Isle"]), {BFAC["Alliance"]})
	self:addTradeSkillSpell(6412, 10, addon:CombineQuests(L["Kaldorei Spider Kabob Obt"],BFAC["Alliance"],BZONE["Teldrassil"]), {BFAC["Alliance"]})
	self:addTradeSkillSpell(2795, 25, addon:CombineQuests(L["Beer Basted Boar Ribs Obt"],BFAC["Alliance"],BZONE["Dun Morogh"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(6416, 50, addon:CombineQuests(L["Strider Stew Obt"],BFAC["Alliance"],BZONE["Darkshore"]) .. addon.br .. addon:CombineVendors(254, false))
	self:addTradeSkillSpell(2542, 50, addon:CombineQuests(L["Goretusk Liver Pie Obt"],BFAC["Alliance"],BZONE["Westfall"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(3371, 60, addon:CombineQuests(L["Blood Sausage Obt"],BFAC["Alliance"],BZONE["Loch Modan"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(9513, 60, addon:CombineQuests(L["Thistle Tea Ally Obt"],BFAC["Alliance"],BZONE["Westfall"],L["Thistle Tea Horde Obt"],BFAC["Horde"],BZONE["The Barrens"]) .. addon.br .. addon:CombineVendors(283, false), {"ROGUE"})
	self:addTradeSkillSpell(28267, 60, addon:CombineQuests(L["Crunchy Spider Surprise Obt"],BFAC["Horde"],BZONE["Ghostlands"]) .. addon.br .. addon:CombineVendors(281, 238, false))
	self:addTradeSkillSpell(2543, 75, addon:CombineQuests(L["Westfall Stew Obt"],BFAC["Alliance"],BZONE["Westfall"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(3370, 80, addon:CombineQuests(L["Crocolisk Steak Obt"],BFAC["Alliance"],BZONE["Loch Modan"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(8238, 85, L["UZD"] .. BZONE["The Barrens"])
	self:addTradeSkillSpell(3372, 90, addon:CombineQuests(L["Murloc Fin Soup Obt"],BFAC["Alliance"],BZONE["Redridge Mountains"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(6417, 90, addon:CombineQuests(L["Dig Rat Stew Obt"],BFAC["Horde"],BZONE["The Barrens"]), {BFAC["Horde"]})
	self:addTradeSkillSpell(45695, 100, L["Fishing Daily"])
	self:addTradeSkillSpell(2547, 100, addon:CombineQuests(L["Redridge Goulash Obt"],BFAC["Alliance"],BZONE["Redridge Mountains"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(2549, 100, addon:CombineQuests(L["Seasoned Wolf Kabob Obt"],BFAC["Alliance"],BZONE["Duskwood"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(3377, 110, addon:CombineQuests(L["Gooey Spider Cake Obt"],BFAC["Alliance"],BZONE["Duskwood"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(3397, 110, addon:CombineQuests(L["Big Bear Steak Obt"],BFAC["Horde"],BZONE["Hillsbrad Foothills"]) .. addon.br .. addon:CombineVendors(260, 258, false))
	self:addTradeSkillSpell(3373, 120, addon:CombineQuests(L["Crocolisk Gumbo Obt"],BFAC["Alliance"],BZONE["Wetlands"]) .. addon.br .. addon:CombineVendors(253, false), {BFAC["Alliance"]})
	self:addTradeSkillSpell(3398, 125, addon:CombineQuests(L["Hot Lion Chops Obt"],BFAC["Horde"],BZONE["Hillsbrad Foothills"]) .. addon.br .. addon:CombineVendors(259, 282, false))
	self:addTradeSkillSpell(3376, 130, addon:CombineQuests(L["Curiously Tasty Omelet Obt"],BFAC["Alliance"],BZONE["Wetlands"]) .. addon.br .. addon:CombineVendors(113, 253, 205, false))
	self:addTradeSkillSpell(3399, 150, addon:CombineQuests(L["Tasty Lion Steak Obt"],BFAC["Alliance"],BZONE["Hillsbrad Foothills"]), {BFAC["Alliance"]})
	self:addTradeSkillSpell(3400, 175, addon:CombineQuests(L["Soothing Turtle Bisque Obt"],BFAC["Neutral"],BZONE["Hillsbrad Foothills"]))
	self:addTradeSkillSpell(4094, 175, addon:CombineQuests(L["Barbecued Buzzard Wing Obt"],BFAC["Neutral"],BZONE["Badlands"]) .. addon.br .. addon:CombineVendors(280, 260, false))
	self:addTradeSkillSpell(13028, 175, L["Goldthorn Tea Obt"])
	self:addTradeSkillSpell(22761, 275, addon:CombineMobs(false,L["Runn Tum Tuber Surprise Obt"],BZONE["Dire Maul"]))
	self:addTradeSkillSpell(24801, 285, addon:CombineQuests(L["Smoked Desert Dumplings Obt"],BFAC["Neutral"],BZONE["Silithus"]))
	self:addTradeSkillSpell(25659, 300, addon:CombineQuests(L["Dirge's Kickin' Chimaerok Chops Obt"],BFAC["Neutral"],BZONE["Tanaris"]), {L["Raid"]})
	self:addTradeSkillSpell(43779, 325, L["Cooking Daily"])
	self:addTradeSkillSpell(33279, 300, L["Buzzard Bites Obt"])
	self:addTradeSkillSpell(43772, 300, L["Cooking Daily"])
	self:addTradeSkillSpell(43761, 300, L["Cooking Daily"])
	self:addTradeSkillSpell(43758, 300, L["Cooking Daily"])
	self:addTradeSkillSpell(42296, 310, L["Stewed Trout Obt"])
	self:addTradeSkillSpell(43765, 325, L["Cooking Daily"])
	self:addTradeSkillSpell(43707, 325, L["Cooking Daily"])
	self:addTradeSkillSpell(38868, 335, addon:CombineQuests(L["Crunchy Serpent Obt"],BFAC["Horde"],BZONE["Blade's Edge Mountains"]) .. addon.br .. addon:CombineVendors(284, false))
	self:addTradeSkillSpell(38867, 335, addon:CombineQuests(L["Crunchy Serpent Obt"],BFAC["Horde"],BZONE["Blade's Edge Mountains"]) .. addon.br .. addon:CombineVendors(284, false))
	self:addTradeSkillSpell(42302, 350, L["Stewed Trout Obt"])
	self:addTradeSkillSpell(42305, 350, L["Stewed Trout Obt"])

	-- Seasonal
	self:addTradeSkillSpell(21143, 1, L["WintersVeil"], {L["Seasonal"]})
	self:addTradeSkillSpell(21144, 35, L["WintersVeil"], {L["Seasonal"]})
	self:addTradeSkillSpell(45022, 325, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	self:addTradeSkillSpell(36210, 300, addon:AddSingleReputation(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	self:addTradeSkillSpell(33285, 310, addon:AddSingleReputation(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})

	-- Raid Drops

end
